Magento Forum

   
Can’t upgrade from 1.6 to 1.7, error in Reader.php? 
 
rcintorino
Jr. Member
 
Total Posts:  4
Joined:  2013-10-13
 

Hello All,

I\’ve been searching and trying different things for a while now, about a week, and I can\’t find a solution to our problem. We\’re trying to upgrade from 1.6.2 to 1.7.X. I\’ve tried upgrading to version 1.7.0.0, and 1.7.0.1, and 1.7.0.2, via MCM and terminal, but get the same error which is

Connect Error: Unsupported Resource Type

We used to use a windows machine with xamp as a \"development server\”, and were able to upgrade the website successfully. I figured it had something to do with our server configuration, so I moved the development server to a real server with our exact production server configuration (minus DNS, domains, etc.). We\’re using a Linux VPS on Centos 6, compiling Apache and PHP from source.

Unfortunately I still cant figure this issue out, and there doesn\’t seem to be anything on google when I search this error. I\’m assuming some module is not compiled into php, but I cannot, for the life of me figure out which one. I\’ve attached the HTML from the servers phpinfo, any help would be greatly appriciated!

Thanks in advance!

Rich

File Attachments
phpinfo.htm  (File Size: 801KB - Downloads: 13)
 
Magento Community Magento Community
Magento Community
Magento Community
 
rcintorino
Jr. Member
 
Total Posts:  4
Joined:  2013-10-13
 

You really think it’s a theme’ing issue even though moving all files in the root html folder to a windows machine running xamp allows the update to complete successfully? that tells us theres nothing wrong with the magento installation or any of the custom theming.

do we not offer community help other than to direct people to paid for solutions?

 
Magento Community Magento Community
Magento Community
Magento Community
 
rcintorino
Jr. Member
 
Total Posts:  4
Joined:  2013-10-13
 

does anyone know anything about this error?

 
Magento Community Magento Community
Magento Community
Magento Community
 
rcintorino
Jr. Member
 
Total Posts:  4
Joined:  2013-10-13
 

OK so I’ve narrowed down the issue. Magento is not able to extract the *.tgz files. I have PHAR based archive support and have both Tar and bzip2 support enable. Can anyone tell me what I\’m missing? I went through phpinfo between our server and the dev site a developer had. I made sure I have all the same PHP and Apache modules enabled.

what\’s missing?

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top